# Generated by Django 5.0.1 on 2024-01-29 01:44

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CarreraBAFA',
            fields=[
                ('idCarreraBAFA', models.AutoField(primary_key=True, serialize=False)),
                ('nombreCarreraBAFA', models.CharField(max_length=255)),
                ('directorCarreraBAFA', models.CharField(max_length=255)),
                ('logoCarreraBAFA', models.FileField(blank=True, null=True, upload_to='carreras')),
                ('duracionCarreraBAFA', models.IntegerField()),
                ('requisitosIngresoBAFA', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='CursoBAFA',
            fields=[
                ('idCursoBAFA', models.AutoField(primary_key=True, serialize=False)),
                ('nivelCursoBAFA', models.CharField(max_length=255)),
                ('descripcionCursoBAFA', models.TextField()),
                ('aulaCursoBAFA', models.CharField(max_length=50)),
                ('fechaInicioBAFA', models.DateField()),
                ('profesorPrincipalBAFA', models.CharField(max_length=255)),
                ('carrera', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Gestion.carrerabafa')),
            ],
        ),
        migrations.CreateModel(
            name='AsignaturaBAFA',
            fields=[
                ('idAsignaturaBAFA', models.AutoField(primary_key=True, serialize=False)),
                ('nombreAsignaturaBAFA', models.CharField(max_length=255)),
                ('creditosAsignaturaBAFA', models.IntegerField()),
                ('fechaInicioAsignaturaBAFA', models.DateField()),
                ('fechaFinalizacionAsignaturaBAFA', models.DateField()),
                ('profesorAsignaturaBAFA', models.CharField(max_length=255)),
                ('silaboAsignaturaBAFA', models.FileField(blank=True, null=True, upload_to='asignaturas')),
                ('metodoEvaluacionBAFA', models.CharField(max_length=255)),
                ('recursosDidacticosBAFA', models.TextField()),
                ('curso', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='Gestion.cursobafa')),
            ],
        ),
    ]
